#!/usr/bin/python

from random import shuffle

alphabet = [i for i in 'QWERTYUIOPASDFGHJKLZXCVBNMqwertyuiopasdfghjklzxcvbnm']
keys = alphabet[:]
shuffle(keys)

cb = dict(zip(keys, alphabet))

message = "Ahjo, tym razem masz do rozszyfrowania prosty szyfr podstawieniowy, elo, a flaga to AGH{PodstawSieANieDajSie}"

result = ""
for letter in message:
  if letter in alphabet:
    result += cb[letter]
  else:
    result += letter

print result
